%define	upstream_name    Feed-Find
%define	upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl Module for Syndication feed auto-discovery
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(LWP)
BuildRequires: perl(URI)
BuildRequires: perl-Class-ErrorHandler
BuildRequires: perl-HTML-Parser
BuildRequires: perl-URI
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Perl Module for Syndication feed auto-discovery.

Feed::Find implements feed auto-discovery for finding syndication feeds, 
given a URI. It (currently) passes all of the auto-discovery tests at 
http://diveintomark.org/tests/client/autodiscovery/ .

Feed::Find will discover the following feed formats:
RSS 0.91
RSS 1.0
RSS 2.0
Atom

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# this test requires a connection to an external website
rm t/01-find.t

%build
SKIP_SAX_INSTALL=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorlib}/Feed/Find*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.70.0-9pclos2017
- rebuild against updates

